Overview
GET
/billing/tier-entitlements/{id}billingGet tier_entitlements by id
Fetch a record from tier-entitlements by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
tier_entitlements
- idstring
- tierIdstring
- entitlementKeystring
- valueTypestring
- valuestring
Example
{
"id": "string",
"tierId": "string",
"entitlementKey": "string",
"valueType": "string",
"value": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/billing/tier-entitlements/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/billing/tier-entitlements/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();